Package edu.claflin.finder.log

# Enum LogType

java.lang.Object
java.lang.Enum<LogType>
edu.claflin.finder.log.LogType

All Implemented Interfaces:
  `Serializable`, `Comparable<LogType>`, `java.lang.constant.Constable`

public enum LogType extends Enum<LogType>
Enumeration of the logging types used by the logging utility.

Version:
  3.1 May 28, 2015
Author:
  Charles Allen Schultz II

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALGO`
  `ERRR`
  `GRPH`
  `INFO`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `identifier`
  Identification string for the type of the log.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `LogType(String identifier)`
  Constructs the LogLevel object with the specified identification String.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Used to get a user friendly version of the LogType.
  `static LogType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LogType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INFO

    public static final LogType INFO

  - ### ERRR

    public static final LogType ERRR

  - ### ALGO

    public static final LogType ALGO

  - ### GRPH

    public static final LogType GRPH

- ## Field Details

  - ### identifier

    private final String identifier
    Identification string for the type of the log.

- ## Constructor Details

  - ### LogType

    private LogType(String identifier)
    Constructs the LogLevel object with the specified identification String.
    Parameters:
      `identifier` - the String to differentiate log types.

- ## Method Details

  - ### values

    public static LogType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LogType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Used to get a user friendly version of the LogType.
    Overrides:
      `toString` in class `Enum<LogType>`
    Returns:
      the String consisting of the identifier and a trailing space.